import { cloneDeep as i } from "lodash";
const r = "2.0.0", s = (e) => {
  const t = i(e);
  return t.version !== r ? {
    base: {
      fill: t.fill,
      fillOpacity: t.fillOpacity,
      stroke: t.stroke,
      strokeWidth: t.strokeWidth,
      strokeOpacity: t.strokeOpacity,
      type: "circle"
    },
    version: r
  } : e;
};
export {
  r as VERSION,
  s as upgradeGraphical
};
